/*
 * @Author       : Eleanor Mao
 * @Date         : 2024-04-09 16:24:25
 * @LastEditTime : 2024-04-09 16:24:25
 *
 *
 */

import React, { useState } from 'react';
import MonacoEditor from 'react-monaco-editor';

export const Editor: React.FC = () => {
	const [code, setCode] = useState(['function x() {', '\tconsole.log("Hello world!");', '}'].join('\n'))


	return (
		<MonacoEditor
			width="100%"
			height="300"
			language="javascript"
			theme="vs-dark"
			value={code}
			options={{
				selectOnLineNumbers: true,
				automaticLayout: true,
			}}
			onChange={setCode}
		/>
	)
};
